Resolvido - Erro na instalação/remoção do Kernel - Ubuntu 11.10

Publicado por Andre (pinduvoz) em 05/12/2011

[ Hits: 9.102 ]

Blog: http://casadopinduvoz.wordpress.com/

 


Resolvido - Erro na instalação/remoção do Kernel - Ubuntu 11.10



Meu Ubuntu 11.10 recebeu o upgrade do Kernel 3.0.0-12 para o 3.0.0-13 (uma atualização de segurança), e o novo Kernel foi instalado "pela metade" porque ocorreu um erro no "postinstall" do DPKG.

Na verdade, o novo Kernel sequer aparecia como opção de 'boot' e não podia ser removido pelo DPKG que, felizmente, ainda instalava outros pacotes.

Tentei a instalação várias vezes, baixando os pacotes a cada tentativa, e ainda assim o erro persistia. Tentei também instalar o Kernel 3.0.1 com pacotes locais (baixados) e mais uma vez obtive o mesmo erro.

Minha última opção foi tentar reinstalar o Kernel 3.0.0-12, que estava instalado sem erros, para ver se o mesmo erro aparecia. E ele apareceu.

Pesquisando pelo erro em questão, pois não queria reinstalar o Oneiric, encontrei isto:
Fui dar uma olhada no meu Oneiric e vi que eu também tinha o pacote "extlinux" instalado e, tal como o autor do Blog acima referido, não sei de onde ele veio (não é um pacote padrão). Então, restava removê-lo e ver no que dava:

sudo apt-get remove --purge extlinux

Depois disso, não tive mais erros na instalação/remoção do Kernel do Oneiric.

Até a próxima.

Outras dicas deste autor

Como usar o Nautilus em conjunto com o Thunderbird

Screen Tearing [Resolvido]

Instalar DockBarX no Debian

DicSin não funciona? Eis a solução

Abrir o "Monitor do Sistema" com "Ctrl + Alt + Del"

Leitura recomendada

AllTray - adicione programas à bandeja do sistema

Wallpapers do OpenSolaris direto da fonte

Instalando pacotes no Gentoo Linux sem internet

Apache com mod_proxy para múltiplos endereços

Info da Bateria no Terminal

  

Comentários
[1] Comentário enviado por removido em 05/12/2011 - 11:20h

Algum problema está ocorrendo no download destes pacotes.
Parece que o sistema falha quando está conferindo a integridade dos pacotes antes de instalar, mas mesmo assim instala.
Perigoso isso.

Perdi meu Debian assim.

Ótimo trabalho.


[2] Comentário enviado por removido em 05/12/2011 - 21:25h

Felizmente não tive problemas, seja no Oneiric ou agora no Mint Lisa, neste tanto atualizei o kernel como em seguida atualizei para a versão da PPA Canonical Kernel Team.

SObre o extlinux vi esses artigos ontem, acho que no Planet Debian:

http://shallowsky.com/blog/linux/install/extlinux-debian.html
http://shallowsky.com/linux/extlinux.html

@izaias, quando num upgrade no Debian caso surja mensagens perguntando se deseja substituir algum arquivo de configuração por um novo, responda sempre NÃO, inclusive essa é a opção selecionada se você apenas teclar ENTER. Não sei se foi o caso mas fica a dica.

[3] Comentário enviado por removido em 05/12/2011 - 22:16h

Não, não tinha tal opção. Não nesta atualização.
Também achei muito, cara.
E não estava com os repos do Wheezy habilitados.
Mas tudo bem, já foi.

VLW



Contribuir com comentário




Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts